Subject: Need help on I-824 filing

From: Ya-Ping Du <[email-masked]>
Date: Sun, 31 Jul 94 14:44:38 CDT

I am a CSPA principle, and have already gotten the green card. 
Last month, I filed I-824 with Western Service Center for my
wife, who might be considered to be out-of-status. However, the 
application was returned with a message. It said that WSC can't 
accept any "direct mail" fees on this type of application/petition,
and asked to contacts the local INS. 

Now the questions are

(1) How to file I-824?
(2) Where to go?

I would like to have any suggestion or information, any help
will be appreciated.

Thanks!

--Patrick --